GET /v1/integration/self/
Quem sou eu (integracao, time, escopos efetivos do token)
- Access: Public
- Service:
https://api.axuz.net
Accepted authentication
botToken
Exige escopo integrations:read. Nunca devolve segredo/hash.
Parameters
No parameters.
Responses
200
OK
| Name | Type | Required | Description |
|---|---|---|---|
integration | Integration | yes | |
integration.id | string<uuid> | yes | |
integration.team_id | string<uuid> | yes | |
integration.provider | string | yes | enum: |
integration.name | string | yes | |
integration.state | string | yes | enum: |
integration.scopes | array<string> | yes | |
integration.metadata | object | yes | NAO-secreta; <= 4 KiB. |
integration.created_by | string<uuid> | no | |
integration.created_at | string<date-time> | yes | |
integration.updated_at | string<date-time> | yes | |
integration.revoked_at | string<date-time> | no | |
team_id | string<uuid> | yes | |
token | object | yes | |
token.id | string<uuid> | no | |
token.scopes | array<string> | no |
401
Sem credencial valida
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
403
Sem permissao (nao e owner/admin; token sem escopo; token de integracao em rota nao permitida)
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
429
Limite de requisições excedido.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
500
Erro interno. Tente de novo com backoff; reporte o X-Request-Id.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
Examples
"Try it" is turned off in this reference. Use the examples with your test credential.
curl
curl -sS -X GET 'https://api.axuz.net/v1/integration/self/' \
-H "Cookie: access_token=$AXUZ_SESSION_JWT"Node.js
const res = await fetch("https://api.axuz.net/v1/integration/self/", {
method: 'GET',
headers: {
Cookie: `access_token=${process.env.AXUZ_SESSION_JWT}`,
},
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"GET",
"https://api.axuz.net/v1/integration/self/",
headers={
"Cookie": f"access_token={os.environ['AXUZ_SESSION_JWT']}",
},
timeout=30,
)
res.raise_for_status()
print(res.json())